
mainApp.factory('Identity',[ '$http', function($http){
    var profile={};
    profile.username="None";
    profile.projectname="None";


	/**
	 * 
	 * @param {object} $http Angular $http service
	 * @param {string} username The user name
	 * @param {string} password The user password
	 * @param {string} projectname The user project name
	 * @returns {promise} The result of the request
	 */
	var login=function(username, password,projectname){    
		return $http.post('../server/index.php',
						  $.param({"task" : "Authenticate", "user" : username, "password" : password, "project" : projectname}));  
	};


	/**
	 * 
	 * @param {string} response The response to parse
	 * @returns {requestParserResult} Formated data
	 */
	var parseLoginAnswer=function(response){
		var requestParserResult={};
		
		requestParserResult.status=0;
		requestParserResult.data=response.data;

		
		// TODO
		
		
		return requestParserResult;
	};



	return {
		login: login,
		parseLoginAnswer: parseLoginAnswer,
		profile: profile	
	};

	
}]);
